error wxwidgets must be installed on your system Americus Kansas

Address 1226 Thompson St, Emporia, KS 66801
Phone (620) 341-1974
Website Link
Hours

error wxwidgets must be installed on your system Americus, Kansas

asked 2 years ago viewed 1445 times active 2 years ago Related 2how to install stuff on Linux Mint?2Linux Mint or Ubuntu installation?0How to re-install Linux Mint 12?2Installing Debian applications on Notices Welcome to LinuxQuestions.org, a friendly and active Linux Community. yes checking for a thread-safe mkdir -p... /bin/mkdir -p checking for gawk... wxWidget can be used directly on top of the X server, in this case the variant of the wxWidget library is called wxX11.

they are all stable enough if you use wx2.8QuoteIf I don't use sudo for configure, it will give an error, which is "permission denied".this should not be the case...For what do no configure: error: Please check that wx-config is in path, the directory where wxWidgets libraries are installed (returned by 'wx-config --unicode --libs' command) is in LD_LIBRARY_PATH or equivalent variable and wxWidgets These instructions should work for all Linux distros, as we'll be installing from sources. yes checking for shared library run path origin...

Not the answer you're looking for? ballack View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by ballack 07-03-2004, 08:54 AM #3 BattousaiX LQ Newbie Registered: Jul 2004 Posts: To uninstall you can later run: make uninstall If you want to recompile everything, first run: make clean make distclean make clean-bin make clean-zipfiles and then follow the above sequence for calen View Public Profile View LQ Blog View Review Entries View HCL Entries Visit calen's homepage!

By default, CodeBlocks will install to /usr/local. LiD View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by LiD 08-05-2004, 12:57 PM #8 LiD LQ Newbie Registered: May 2003 Posts: I see the wx-config in Code: /usr/share/wxGTK-2.4.2$ ls CHANGES-GTK.txt accel.d choicdgg.d configure* dirctrlg.o fontdlgg.o helphtml.o mkinstalldirs wxBase.spec CHANGES.txt accel.o choicdgg.o configure.in dirdlgg.d grid.d imaglist.d samples/ wxGTK.spec COPYING.LIB aclocal.m4 Logical fallacy: X is bad, Y is worse, thus X is not bad What are Imperial officers wearing here?

If this is part of an automated configuration test and no other errors occur, you may safely ignore it. AC_ARG_ENABLE([unicode],[AC_HELP_STRING([--enable-unicode],[internally use unicode])], [AS_IF([test "x$enableval" = "xno"],[wx_config_args="--unicode=no"]) AS_IF([test "x$enableval" = "xyes"],[wx_config_args="--unicode=yes"])],) AM_OPTIONS_WXCONFIG reqwx=2.6.3 AM_PATH_WXCONFIG($reqwx, wxWin=1) if test "$wxWin" != 1; then AC_MSG_ERROR([ wxWidgets must be installed on your system. Hope this helps. However this library is sub-par compared to other toolkits and unstable.

If you don't want to loose time, you can even forget this check since there is a good probability that everything is already installed. Now the linker will look in /opt/wx/2.8/lib for wx libraries and you will have a monolithic shared library unicode build. Want to know which application is best for the job? Under wxWidgets 2.8.7 downloads, select wxGTK.

If you have multiple versions of wxWidgets installed or kept them in place, you can use: ./configure --with-wx-config=/path/to/wx-config Note: The Nassi Shneiderman plugin (part of the contrib plugins) has a dependency Logged Fedora package maintainer for Code::BlocksJens' Debian - nightlies (and release)Fedora [23 - 25]- and CentOS/RedHat 7 - nightlies lxr5109 Single posting newcomer Posts: 6 Re: cannot find wx-config when ./configure Good luck. For more advanced trainees it can be a desktop reference, and a collection of the base knowledge needed to proceed with system and network administration.

libdb5.1++ poedit ¿Instalar estos paquetes sin verificación [s/N]? Next the testproj is ported to wxWidgets. What is the result of doing, in a terminal: wx-config --list Regards, David Top inforr In need of some credit Posts: 4 Joined: Thu Jan 07, 2010 9:14 pm Quote Postby share|improve this answer answered Aug 14 '14 at 15:28 Manolo 215213 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign

If that's right, you can still access the unicode one by using its full path; so as a test, do: /usr/bin/wx-config --list If that works, you can either 1) hack it The time now is 10:38 PM. In fact I have use 10.05 for a long time. Don't forget to set the LD_LIBRARY_PATH variable, which is the directory where all your libwx_gtk* shared libraries are stored.

Change to the source code directory, by issuing the following command: cd trunk If you are a Gentoo user at this point, please see Compiling_Code::Blocks_in_Gentoo. no configure: error: wxWidgets must be installed on your system but the wx-config script couldn't be found. Download and install libdb5.1++ from archive.ubuntu.com/ubuntu/pool/main/d/db/libdb5.1++_5.1.29-7_amd64.deb 2. If you get errors like (...): ./bootstrap: libtoolize: not found ...then install the "libtool" package using your package manager. ./bootstrap: 64: ./bootstrap: aclocal: not found ...then the "autoconf" and "automake" package

The exact requirement is libwxGTK-2.8.0 or later (2.8.3 is not recommended because of some troubles). TH How would a vagrant civilization evolve? There are some of them available; here wxWidgets (somtimes called wxWindows) is discussed. no configure: error: wxWidgets must be installed on your system but the wx-config script couldn't be found.

ranlib checking for gcc... http://wiki.codeblocks.org lxr5109 Single posting newcomer Posts: 6 Re: cannot find wx-config when ./configure « Reply #4 on: June 14, 2016, 03:40:49 am » Oh, I've found something strange.I installed the wxWidget If you require this configuration, please install the desired library build. Top DavidHart Site Admin Posts: 3489 Joined: Thu Jan 12, 2006 6:23 pm Location: IoW, UK Quote Postby DavidHart » Thu Jan 07, 2010 9:50 pm Hi, For some reason all

If you're compiling the svn trunk versions of CodeBlocks (or future versions) then the unix build has switched to autotools. You only need to to it once. keep libwx_baseud_xml-2.8.*). Logged (most of the time I ignore long posts) lxr5109 Single posting newcomer Posts: 6 Re: cannot find wx-config when ./configure « Reply #2 on: June 13, 2016, 10:24:32

Hence Code::Blocks uses wxGTK, the version of wxWidget based on GTK+. Having an Issue With Posting ? a.out checking whether the C compiler works... Save the file in ~/devel.

yes checking whether gcc accepts -g... Contents 1 Prerequisites 2 Checking the presence of GTK+ library 3 Library wxGTK installation 3.1 Checking the presence of libwxGTK library 3.2 Getting wxGTK sources 3.3 Building wxWidgets 4 Code::Blocks installation If you'd like to contribute content, let us know. It can be called to get the necessary compiler switches.

yes checking for GNU gettext in libc... LiD View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by LiD 08-01-2004, 11:57 PM #6 HappyTux Senior Member Registered: Mar 2003 Location: Please check that wx-config is in path, the directory where wxWidgets libraries are installed (returned by 'wx-config --libs' command) is in LD_LIBRARY_PATH or equivalent variable and wxWidgets version is 2.3.4 or What are "desires of the flesh"?

If you want to compile / install them too, replace the above ./configure command with: ./configure --with-contrib-plugins=all followed by 'make && make install' as usual. Adv Reply June 7th, 2008 #2 mc4man View Profile View Forum Posts Private Message . Top Display posts from previous: All posts1 day7 days2 weeks1 month3 months6 months1 year Sort by AuthorPost timeSubject AscendingDescending Post Reply Print view 8 posts • Page 1 of 1 Return Privacy policy About CodeBlocks Disclaimers Register a domain and help support LQ Blogs Recent Entries Best Entries Best Blogs Blog List Search Blogs Home Forums HCL Reviews Tutorials Articles Register Search